﻿using System;

namespace ReverseStringProgram
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com ");
            Console.WriteLine("Reverse a string in C# ");
            Console.Write("Enter a string: ");
            string inputString = Console.ReadLine();

            string reversedString = ReverseString(inputString);

            Console.WriteLine($"Reversed string: {reversedString}");
            Console.ReadKey(); // Keep the console window open
        }

        static string ReverseString(string input)
        {
            char[] charArray = input.ToCharArray();
            int start = 0;
            int end = input.Length - 1;

            while (start < end)
            {
                // Swap characters at start and end indices
                char temp = charArray[start];
                charArray[start] = charArray[end];
                charArray[end] = temp;

                // Move indices towards the center
                start++;
                end--;
            }

            return new string(charArray);
        }
    }
}
